import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/util/constants.dart';

class CustomSnackBar extends SnackBar {
  final String text;
  final Color iconColor;
  final Duration duration;

  CustomSnackBar({
    @required this.text,
    this.iconColor = Colors.white,
    this.duration = const Duration(seconds: 5),
  }) : super(
    content: Row(
      children: [
        Padding(
          padding: EdgeInsets.only(right: 7),
          child: Icon(
            Icons.info_outlined,
            color: iconColor,
          )
        ),
        Expanded(
          child: Text(text),
        ),
      ],
    ),
    action: SnackBarAction(
      label: Constants.SHOW_SNACK_BAR_ACTION_TEXT,
      // The default implementation of onPressed is to pop the snack-bar and its mandatory field
      onPressed: () => null,
    ),
    duration: duration,
  );
}