import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/vegigo2_ui_common.dart';

class DualIconButtons extends StatelessWidget {

  final IconData icon1;
  final IconData icon2;
  final int iconSize1;
  final int iconSize2;
  final VoidCallback onButton1Tap;
  final VoidCallback onButton2Tap;

  DualIconButtons({
    Key key,
    this.icon1 = Icons.edit_outlined,
    this.icon2 = Icons.delete_outline,
    this.iconSize1 = 25,
    this.iconSize2 = 25,
    @required this.onButton1Tap,
    @required this.onButton2Tap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        GestureDetector(
          onTap: onButton1Tap,
          child: Icon(
            icon1,
            size: iconSize1 * SizeConfig.imageSizeMultiplier,
          ),
        ),
        SizedBox(height: 25 * SizeConfig.heightMultiplier),
        GestureDetector(
          onTap: onButton2Tap,
          child: Icon(
            icon2,
            size: iconSize2 * SizeConfig.imageSizeMultiplier,
          ),
        ),
      ],
    );
  }
}
