import 'package:flutter/material.dart';

class HorizontalInputFieldWithLabel extends StatelessWidget {
  final String label;
  final TextStyle labelStyle;
  final Widget inputField;
  final bool enableFlex;

  HorizontalInputFieldWithLabel({
    @required this.label,
    this.labelStyle,
    @required this.inputField,
    this.enableFlex = false
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        _getLabel(),
        const SizedBox(width: 20),
        _getInput(),
      ],
    );
  }

  Widget _getLabel() {
    return enableFlex
      ? Expanded(
          flex: 2,
          child: _label(),
        )
      : _label();
  }

  Widget _label() {
    return Padding(
      padding: const EdgeInsets.only(top: 12.0),
      child: Text(
        label,
        style: labelStyle,
      ),
    );
  }

  Widget _getInput() {
    return enableFlex
      ? Expanded(
        flex: 2,
        child: inputField,
        )
      : inputField;
  }
}
