import 'package:flutter/material.dart';

class SecondaryIconButton extends StatelessWidget {
  final Icon icon;
  final Text title;
  final EdgeInsetsGeometry padding;
  final VoidCallback onButtonPressed;
  
  SecondaryIconButton({
    Key key,
    @required this.icon,
    @required this.title,
    this.padding =  const EdgeInsets.symmetric(horizontal: 8.0, vertical: 0.0),
    this.onButtonPressed =  null
  }) : super(key: key);
  
  @override
  Widget build(BuildContext context) {
    return OutlineButton.icon(
        icon: icon,
        padding: padding,
        label: Ink(
          child: Center(
            child: title
          ),
        ),
        borderSide: BorderSide(
            color: Colors.white,
            width: 1,
            style: BorderStyle.solid
        ),
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(80.0),
        ),
        onPressed: onButtonPressed
    );
  }
}
