import 'package:vegigo2_ui_common/util/constants.dart';

enum AdvertisementType {
  SMALL,
  LARGE,
  CAROUSEL
}

extension AdvertisementTypeExtension on AdvertisementType {
  static const values = {
    AdvertisementType.SMALL: 'sm',
    AdvertisementType.LARGE: 'lg',
    AdvertisementType.CAROUSEL: 'cr'
  };

  static const displayValues = {
    AdvertisementType.SMALL: Constants.ADVERTISEMENT_TYPE_SMALL,
    AdvertisementType.LARGE: Constants.ADVERTISEMENT_TYPE_LARGE,
    AdvertisementType.CAROUSEL: Constants.ADVERTISEMENT_TYPE_CAROUSEL
  };

  String get value => values[this];
  String get displayValue => displayValues[this];
}

extension AdvertisementTypeParser on String {
  AdvertisementType toAdvertisementType() {
    return AdvertisementType.values.firstWhere(
      (type) => type.value.toLowerCase() == toLowerCase(),
      orElse: () => null
    );
  }
}