import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/order/order_product.dart';
import 'package:vegigo2_ui_common/models/product/unit_price_mapping_model.dart';

class OrderProductModel extends OrderProduct {
  OrderProductModel({
    @required String id,
    @required String productId,
    @required String title,
    @required String thumbnail,
    @required double discountRatio,
    @required int quantity,
    @required UnitPriceMappingModel unitPriceMapping
  }): super(
      id: id,
      productId: productId,
      title: title,
      thumbnail: thumbnail,
      discountRatio: discountRatio,
      quantity: quantity,
      unitPriceMapping: unitPriceMapping
  );

  factory OrderProductModel.fromJson(Map<String, dynamic> json) {
    return OrderProductModel(
      id: json['id'].toString(),
      productId: json['productId'] as String,
      title: json['title'] as String,
      thumbnail: json['thumbnail'] as String,
      discountRatio: double.parse(json['discountRatio'].toString()),
      quantity: json['quantity'] as int,
      unitPriceMapping: UnitPriceMappingModel.fromJson(json['unitPriceMapping'] as Map<String, dynamic>),
    );
  }

  static List<OrderProductModel> fromJsonArray(List<dynamic> jsonArray) {
    return jsonArray.map((jsonProduct) => OrderProductModel.fromJson(jsonProduct as Map<String, dynamic>)).toList();
  }
}