import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/store/delivery_policy.dart';

class DeliveryPolicyModel extends DeliveryPolicy {

  DeliveryPolicyModel({
    @required String id,
    @required String description
  }) : super(id: id, description: description);

  factory DeliveryPolicyModel.fromJson(Map<String, dynamic> json) {
    return DeliveryPolicyModel(id: json['id'].toString(), description: json['description'] as String);
  }

  Map<String, dynamic> toJson() {
    return {
      'description': description
    };
  }

  static List<DeliveryPolicyModel> fromJsonArray(List<dynamic> jsonArray) {
    return jsonArray.map((jsonProduct) => DeliveryPolicyModel.fromJson(jsonProduct as Map<String, dynamic>)).toList();
  }

  static List<Map<String, dynamic>> toJsonArray(List<DeliveryPolicyModel> deliveryPolicies) {
    return deliveryPolicies.map((policy) => policy.toJson()).toList();
  }
}