import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/store/location.dart';

class LocationModel extends Location {
  LocationModel({
    @required double latitude,
    @required double longitude
  }): super(latitude: latitude, longitude: longitude);

  factory LocationModel.fromParent(Location location) {
    return LocationModel(latitude: location.latitude, longitude: location.longitude);
  }

  factory LocationModel.fromJson(Map<String, dynamic> json) {
    return LocationModel(
        latitude: json['latitude'] != null? double.parse(json['latitude'].toString()) : null,
        longitude: json['longitude'] != null? double.parse(json['longitude'].toString()) : null
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'latitude': latitude,
      'longitude': longitude
    };
  }
}
