import 'package:flutter/material.dart';

extension TimeOfDayExtension on TimeOfDay {
  
  String get asString {
    int hrs = this.hour;
    final bool isAM = hrs < 12;
    final String meridiem = isAM ? 'AM':'PM';
    final String mins = '${this.minute}'.padLeft(2, '0');
    
    if(!isAM && hrs > 12) hrs -= 12;
    
    if(this.minute == 0 && hrs != 0){
      return '$hrs $meridiem';
    }
    return '$hrs:$mins $meridiem';
  }
}