import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/entities/product/product.dart';
import 'package:vegigo2_ui_common/vegigo2_ui_common.dart';
import 'package:vegigo2_ui_common/theme/colors.dart' as colors;
import 'package:vegigo2_ui_common/util/constants.dart';

class ProductCardPriceDisplay extends StatelessWidget {
  final Product product;
  final UnitPriceMapping unitPriceMapping;
  final Color priceTextColor;
  final Color discountedPriceTextColor;

  ProductCardPriceDisplay({
    @required this.product,
    @required this.unitPriceMapping,
    this.priceTextColor = colors.LIGHT_GREY,
    this.discountedPriceTextColor = colors.PALE_ORANGE,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: <Widget>[
        if (product.hasDiscount)
          Padding(
            padding: const EdgeInsets.only(right: 10.0),
            child: Text(
                unitPriceMapping.price.toString(),
                style: Theme.of(context).textTheme.subtitle2.copyWith(
                  color: priceTextColor,
                  decoration: TextDecoration.lineThrough,
                  decorationThickness: 1,
                  fontWeight: FontWeight.normal,
                )
            ),
          )
        else
          Container(),
        Text(
          '${Constants.RUPEE_ICON_LABEL}${unitPriceMapping.discountedPrice}',
          style: Theme.of(context).textTheme.headline5.copyWith(
            fontWeight: FontWeight.w600,
            color: discountedPriceTextColor,
          ),
        ),
      ],
    );
  }
}
